// eslint-disable-next-line
var map = {
  '&': '&amp;',
  '<': '&lt;',
  '>': '&gt;',
  '"': '&quot;',
  "'": '&#x27;'
}; // 特殊字符转义

export var escape = function escape(str) {
  if (typeof str === 'string') {
    return str.replace(/[&<>"']/g, function (s) {
      return map[s];
    });
  } else {
    return str + '';
  }
};