"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("../utils");

var domAttrs = {
  'className': 'class',
  'htmlFor': 'for',
  'download': 'download'
};
(0, _utils.toMap)(['checked', 'multiple', 'muted', 'autoReverse', 'selected', 'externalResourcesRequired', 'focusable', 'preserveAlpha', 'cols', 'rows', 'size', 'span', 'hidden', 'loop', 'capture', 'open', 'async', 'reversed', 'scoped', 'seamless'], domAttrs, function (name) {
  return name;
}); // 驼峰 -> 短横线

(0, _utils.toMap)(['acceptCharset', 'httpEquiv'], domAttrs, _utils.camelToKebab); // 短横线 -> 驼峰

(0, _utils.toMap)(['contentEditable', 'draggable', 'spellCheck', 'value'], domAttrs, _utils.kebabToCamel); // 大写 -> 小写

(0, _utils.toMap)(['itemScope', 'formNoValidate', 'noModule', 'noValidate', 'rowSpan', 'start', 'contentEditable', 'draggable', 'spellCheck', 'value', 'allowFullScreen', 'autoFocus', 'autoPlay', 'controls', 'default', 'defer', 'disabled', 'playsInline', 'readOnly', 'required', 'tabIndex', 'crossOrigin'], domAttrs, _utils.toLowerCase);
var _default = domAttrs;
exports.default = _default;