"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("../utils");

var reversedDomAttrs = Object.create(null);
(0, _utils.toMap)(['children', 'dangerouslySetInnerHTML', 'defaultValue', 'defaultChecked', 'innerHTML', 'suppressContentEditableWarning', 'suppressHydrationWarning', 'key', 'dangerouslySetInnerHTML', 'onBlur', 'onCancel', 'onClick', 'onClose', 'onContextMenu', 'onCopy', 'onCut', 'onAuxClick', 'onDoubleClick', 'onDragEnd', 'onDragStart', 'onDrop', 'onFocus', 'onInput', 'onInvalid', 'onKeyDown', 'onKeyPress', 'onKeyUp', 'onMouseDown', 'onMouseUp', 'onPaste', 'onPause', 'onPlay', 'onPointerCancel', 'onPointerDown', 'onPointerUp', 'onRateChange', 'onReset', 'onSeeked', 'onSubmit', 'onTouchCancel', 'onTouchEnd', 'onTouchStart', 'onVolumeChange', 'onAbort', 'onAnimationEnd', 'onAnimationIteration', 'onAnimationStart', 'onCanPlay', 'onCanPlayThrough', 'onDrag', 'onDragEnter', 'onDragExit', 'onDragLeave', 'onDragOver', 'onDurationChange', 'onEmptied', 'onEncrypted', 'onEnded', 'onError', 'onGotPointerCapture', 'onLoad', 'onLoadedData', 'onLoadedMetadata', 'onLoadStart', 'onLostPointerCapture', 'onMouseMove', 'onMouseOut', 'onMouseOver', 'onPlaying', 'onPointerMove', 'onPointerOut', 'onPointerOver', 'onProgress', 'onScroll', 'onSeeking', 'onStalled', 'onSuspend', 'onTimeUpdate', 'onToggle', 'onTouchMove', 'onTransitionEnd', 'onWaiting', 'onWheel'], reversedDomAttrs);
var _default = reversedDomAttrs;
exports.default = _default;