"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.escape = void 0;
// eslint-disable-next-line
var map = {
  '&': '&amp;',
  '<': '&lt;',
  '>': '&gt;',
  '"': '&quot;',
  "'": '&#x27;'
}; // 特殊字符转义

var escape = function escape(str) {
  if (typeof str === 'string') {
    return str.replace(/[&<>"']/g, function (s) {
      return map[s];
    });
  } else {
    return str + '';
  }
};

exports.escape = escape;